using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.StoragesContracts
{
    public interface IVacancyStorage
    {
        List<VacancyViewModel> GetFullList();
        List<VacancyViewModel> GetFilteredList(VacancySearchModel model);
        VacancyViewModel? GetElement(VacancySearchModel model);
        VacancyViewModel? Insert(VacancyBindingModel model);
        VacancyViewModel? Update(VacancyBindingModel model);
        VacancyViewModel? Delete(VacancyBindingModel model);
    }
}
